Bug 143630 - kernel panic after killing slattach
kernel panic after killing slattach
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 20:43 EST by Steve Friedman
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Friedman 2004-12-22 20:43:11 EST
Description of problem:
Newly installed fc3 with all updates as of 2004-12-22.  In run-level 3
started an slattach, ifconfig, attempted to use the resultant serial
port, then killed -9 the job.  The hardware is a new IBM xSeries 306.
 Immediately got the following screen (this info is typed in, not
copy-and-paste):

EFLAGS: 00010202   (2.6.9-1.681_FC3smp)
EIP is at sl_tx_timeout+0x40/0xd3 [slip]
eax: 00000000  ebx: 21776400 ecx: 023b3fbc  edx: 022f1841
exi: 21776640  ebi: 21776640 ebp: 023b3fcc  esp: 023b3fa4
ds: 007b es: 007b ss; 0068
Process swapper (pid: 0, threadinfo=023b3000 task=0230aa60)
Stack: 022f1841 21776400 02278128 03407760 02278181 022f1841 21776400
21776400
        02127254 00000246 023b3fcc 023b3fcc 0000000a 00000001 0237b88
0000000a
        00000000 02123eb8 02379f94 00000046 023a4184 0046a007 021802a9
Call Trace:
 [<02278128>] dev_watchdog+0x0/0x91
 [<02278181>] dev_watchdog+0x59/0x91
 [<02127254>] run_timer_softirq+0x123/0x145
 [<02123eb8>] __do_softirq+0x4c/0xb1
 [<021082a9>] do_softirq+0x4f/0x56
 =========================
 [<021162fb>] smp_apic_timer_interrupt+0xd9/0xdd
 [<021040e5>] mwait_idle+0x33/0x42
 [<0210409d>] cpu_idle+0x26/0x3b
 [<0237a784>] start_kernel+0x194/0x198
Code: 01 0f 84 aa 00 00 00 8b 43 24 8b 73 64 a8 82 0f 84 9c 00 00 00
a1 a0 c8 30
 02 2b 43 4c 2d 20 4e 00 00 0f 88 89 00 00 00 0b 46 04 <8b> 50 04 ff
92 d4 00 00
 00 85 c0 75 0b 83 7e 2c 00 b8 30 25 ab
<0>Kernel panic - not syncing: Fatal exception in interrupt

Version-Release number of selected component (if applicable):
kernel: kernel-2.6.9-1.681_Fc3smp
slattach: net-tools-1.60-37
udev: udev-039019.FC3.6

How reproducible:
Could not reproduce.

Steps to Reproduce:
1. Start kernel in run-level 3 (I set it both in /boot/grub/ and
/etc/inittab)
2. Login as normal user, su to root.
3. Execute "/sbin/slattach  -p slip -s 115200 /dev/tty0 &"
4. Noted via statserial that CTS was not asserted.
4. Switched to another window, logged in, and attempted to send
many packets to port. 
5. kill -9 of the above pid
  
Actual results:
See kernel panic dump

Expected results:
System to kill job and continue processing.

Additional info:
If I did a startx, started a terminal (in fvwm 2.5.10, if it matters),
then did the slattach in the foreground and hit CTRL-C, then I lost
all keyboard functionality until I exited X every time.  However, I
could not reproduce the kernel panic.
Comment 1 Dave Jones 2005-07-15 13:57:43 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:27:03 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.